/***************************************************************************
 *   Copyright (C) 2008 by Lisandro Damián Nicanor Pérez Meyer             *
 *   perezmeyer@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "connectivitymatrix.h"

#include <QtDebug>

ConnectivityMatrix::ConnectivityMatrix(int rows, int columns)
{
	rowCount = rows;
	columnCount = columns;
	matrix = new Point4F[rowCount * columnCount];
	for(int i=0; i< rowCount * columnCount; i++)
		matrix[i] = Point4F(0.0, 0.0, 0.0);
}

ConnectivityMatrix::~ConnectivityMatrix()
{
	delete [] matrix;
}

Point4F ConnectivityMatrix::getPoint(int row, int column) const
{
	if(row <= rowCount && column <= columnCount)
		return matrix[row * columnCount + column];
	else
	{
		// Doesn't link in win with release mode
		//qDebug() << "An access to row " << row << " column " << column << " is not possible";
		//qDebug() << "I will return QPointF(0.0, 0.0, 0.0)";
		return Point4F(0.0, 0.0, 0.0);
	}
}

void ConnectivityMatrix::debug()
{
	for(int row=0; row < rowCount; row++)
	{
		//qDebug() << "row " << row;
		for(int column=0; column < columnCount; column++ )
		{
			//qDebug() << matrix[row * columnCount + column];
			//qDebug() << getPoint(row, column);
		}
	}
}


