/***************************************************************************
 *   Copyright (C) 2008 by Lisandro Damián Nicanor Pérez Meyer             *
 *   perezmeyer@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef PRACTICO6_H
#define PRACTICO6_H

#include <QMainWindow>
#include "ui/ui_mainwindow.h"
#include "constants.h"

// Forward declarations
class QGraphicsScene;
class QGraphicsPixmapItem;

class Practico6:public QMainWindow
{
	Q_OBJECT
public:
	Practico6(QWidget * parent = 0);

public slots:
	void setDrawAxis(int state);
	void setDrawNormals(int state);
	void setDrawWireframe(int state);
	void patchSelected(bool selected);
	void tubeSelected(bool selected);
	void semiTubeSelected(bool selected);
	void torusSelected(bool selected);
	void bezierSelected(bool selected);
	void bSplinesSelected(bool selected);

	/// Shows the selected image in the app
	void setImage(int image);

	/// Changes the X light label value
	void setXLightLabel(int value);
	/// Changes the X light label value
	void setYLightLabel(int value);
	/// Changes the X light label value
	void setZLightLabel(int value);

signals:
	void changeDrawAxis(bool state);
	void changeDrawNormals(bool state);
	void changeDrawWireframe(bool state);
	void changeFigure(Constants::Figures figure);
	void changeMethod(Constants::Methods method);

private:
	Ui::MainWindow mainWindow;
	QGraphicsScene scene;
	QGraphicsPixmapItem * graphicItem;
};


#endif //Practico6
