uniform vec3 cameraPosition;
uniform sampler2D tex;
varying vec3 lightDir,normal;
varying vec4 position;

void main()
{
	// Normalizing the vectors, just in case they are not normal
	vec3 n = normalize(normal);
	vec3 lD = normalize(lightDir);
	vec3 cD = normalize(cameraPosition - position.xyz);

	// Half-way vector
	vec3 halfWay = normalize(lD + cD);
	float nl = dot(n, lD);
	float nh = dot(n, halfWay);

	vec2 pos = vec2(nl, nh);

	vec4 color = texture2D(tex,pos);
// 	vec4 color = texture2D(tex,gl_TexCoord[0].st);

	gl_FragColor = color;
}
